none
Processing of EDI421 version 7050 on BizTalk RRS feed

  • Question

  • Does BizTalk 2016 support EDI421 version 7050?  If yes, where can I get the schema for this?  If not, is there a way to still process EDI421 version 7050 in BizTalk 2016?
    Friday, July 5, 2019 9:47 AM

All replies

  • See Where are the BizTalk 2016 EDI schemas?

    If that particular version isn't there, what is usually done is take the closest version to it and edit it so it matches that version.

    Sunday, July 7, 2019 9:50 PM
  • Hi Colin,

    I manually created the EDI421 schema from the closest one available but I'm currently receiving the error below.  I also set up the Parties to make the program work but I'm still getting this error.  Please advise.

    An output message of the component "EDI disassembler" in receive pipeline "ABC.BizTalk.EDI.Pipelines.pipeEDI_EDIReceivePipeline, ABC.BizTalk.EDI.Pipelines, Version=1.1.0.0, Culture=neutral, PublicKeyToken=07e3f61197bcaa6c" is suspended due to the following error: 
         Error: 1 (Miscellaneous error)
    17: Invalid VersionId

    Error: 2 (Field level error)
    SegmentID: ISA
    Position in TS: 1
    Data Element ID: ISA12
    Position in Segment: 12
    Data Value: 00705
    7: Invalid code value.
     The sequence number of the suspended message is 1. 

    Thanks,

    BizTalk EDI Developer

    Tuesday, July 16, 2019 12:48 AM